use crate::client::EuroMail;
use crate::errors::EuroMailError;
use crate::types::Account;

impl EuroMail {
    pub async fn get_account(&self) -> Result<Account, EuroMailError> {
        self.get("/v1/account").await
    }

    pub async fn export_account(&self) -> Result<String, EuroMailError> {
        self.get_raw("/v1/account/export", &[]).await
    }

    pub async fn delete_account(&self) -> Result<(), EuroMailError> {
        self.delete("/v1/account").await
    }
}
